MAV_polygon(3)

NAME
MAV_polygon - Default object class ``polygon''.

LEVEL
Maverik Level 1

SYNTAX

 typedef struct {
  int np;
  MAV_vector norm;
  MAV_texCoord *tex;
  MAV_vector *vert;
  MAV_surfaceParams *sp;
  MAV_matrix matrix;
  void *userdef;
} MAV_polygon;

DESCRIPTION
A polygon is defined by a number, np, of points, a normal, norm, and collection of vertices, vert, and, optionally, texture coordinates, tex. The polygon must be concave, planar and the vertices ordered anti-clockwise around the normal.

Texture coordinates must be provided is this object is to be textured.